{ config, lib, pkgs, ... }:
{
  config = lib.mkIf config.home.production.enable {
    programs.obs-studio = {
      enable = true;
      plugins = with pkgs.obs-studio-plugins; [
        looking-glass-obs
        obs-multi-rtmp
        obs-pipewire-audio-capture
        obs-tuna
        obs-vkcapture
        obs-webkitgtk
      ];
    };

    home.persistence."/persist${config.home.homeDirectory}".directories = [ ".config/obs-studio" ];
  };
}
